For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • NVIDIA Switch Infrastructure
    • I want to...
  • Quick Start
    • Start Here
    • Getting Started with Config Manager
    • TUI Wizard Reference
    • Configuration Samples
    • Interfaces
    • Local Development Quick Start
    • First Run Tour
  • Config Manager Overview
    • Config Manager Concepts
    • Getting Started with Nautobot
  • User Guides
    • New Site Bringup
    • Workflow Lifecycle
  • Deployment
    • Hosting Options
    • Network Topology Requirements
    • Firewall Ports
    • Airgapped Deployment
    • Troubleshooting
  • Services
      • Overview
      • Architecture
        • GETCurrent User Info
          • GETGet all configs for a device
          • POSTBatch create/update config files
          • GETGet a config file
          • POSTCreate or update a config file
          • GETGet diff between two versions
          • GETList all versions of a config file
NVIDIANVIDIA
Developer-friendly docs for your API
Privacy Policy | Your Privacy Choices | Terms of Service | Accessibility | Corporate Policies | Product Security | Contact

Copyright © 2026, NVIDIA Corporation.

LogoLogo
ServicesConfig Store ServiceConfig Store APIconfig

Get diff between two versions

||View as Markdown|
GET
https://host.com/v1/config/:device_uuid/:filename/diff
GET
/v1/config/:device_uuid/:filename/diff
$curl -G https://host.com/v1/config/device_uuid/filename/diff \
> -H "Content-Type: application/json" \
> -d from_version=12 \
> -d to_version=15 \
> -d file_type=intended
1{
2 "device_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
3 "diff": "--- router-config.txt v12\n+++ router-config.txt v15\n@@ -10,7 +10,8 @@\n interface GigabitEthernet0/1\n- ip address 192.168.1.1 255.255.255.0\n+ ip address 192.168.1.2 255.255.255.0\n+ description Updated IP address\n",
4 "diff_stats": {
5 "lines_added": 2,
6 "lines_removed": 1,
7 "files_changed": 1
8 },
9 "filename": "router-config.txt",
10 "from_version": 12,
11 "new_content": "interface GigabitEthernet0/1\n ip address 192.168.1.2 255.255.255.0\n description Updated IP address\n!",
12 "old_content": "interface GigabitEthernet0/1\n ip address 192.168.1.1 255.255.255.0\n!",
13 "to_version": 15,
14 "device": {
15 "name": "CoreRouter01",
16 "site": "Data Center 1",
17 "last_updated": "2024-01-15T09:30:00Z",
18 "nautobot_url": "https://nautobot.example.com/devices/3fa85f64-5717-4562-b3fc-2c963f66afa6",
19 "platform": "Cisco IOS XE",
20 "primary_ip4": "192.168.1.1",
21 "rack": "Rack-22B",
22 "role": "Core Router"
23 }
24}
Generate a diff between two versions of a configuration file.
Previous

Create or update a config file

Next

List all versions of a config file

Path parameters

device_uuidstringRequiredformat: "uuid"
filenamestringRequired

Query parameters

from_versionintegerRequired
to_versionintegerRequired
file_typeenumOptional
Enum for config file types.
Allowed values:

Response

Successful Response
device_uuidstringformat: "uuid"
Device UUID
diffstring
Unified diff output
diff_statsmap from strings to integers
Statistics about the diff
filenamestring
File name
from_versioninteger
Source version
new_contentstring
Content of target version
old_contentstring
Content of source version
to_versioninteger
Target version
deviceobject or null
Device metadata from Nautobot

Errors

422
Unprocessable Entity Error